MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024837Open CASCADE[OCCT] OCCT:Visualizationpublic2014-04-16 12:002015-11-30 19:01
Reporterkgv 
Assigned Tobugmaster 
PriorityimmediateSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024837: Visualization - revise design and implementation of connected Interactive Objects
DescriptionThere are several issues remain in conception of connected Interactive Objects which lead to unpredictable behavior.

1. At first stage the conception itself should be revised. Expected behavior and natural limitations should be explicitly specified for complex combinations of connected Interactive Objects (multiple nested interconnections with custom locations).

2. Revise and extend existing subset of Draw Harness commands (vconnect, vconnectsh) to be able testing all scenarios defined within specification. There should be command to modify/print locations of arbitrary Interactive Objects.

3. Revise and extend test cases to cover all complex scenarios.

4. Fix behavior according to specified one and ensure consistency in following algorithms:
- Bounding box of graphic structure with descendants (Graphic3d_Structure). Should be Frustum Culling automaticaly.
- General rendering algorithm.
- Rendering with GLSL program assigned.
- RayTracing rendering algorithm.
- Selection algorithms.
Steps To Reproduce
pload MODELING VISUALIZATION
box o1 -10 -10 -5 1 1 10
box o2  10  10 -5 1 1 10
box b1 0 0 0 1 2 3
box b2 3 0 0 3 2 1
vinit View1
vclear
vtop
vsetdispmode 0
vdisplay o1 o2
vdisplay b1 b2
vfit
vdrawtext "b1"   0 -3 3 255  25  25 2 0 000 0 14 1 Arial
vdrawtext "b2"   3  0 3  25 255  25 2 0 000 0 14 1 Arial
vdrawtext "bc_1" 0 -9 3 255 225 225 2 0 000 0 14 1 Arial
vdrawtext "bc_2" 3 -6 3 255 225 225 2 0 000 0 14 1 Arial
vsetdispmode 1

vsetmaterial b1 b2 plastic
vsetcolor b1 RED
vsetcolor b2 GREEN

vsetlocation b1 0 -3 0
vconnect bc 0 -6 0 b1 b2
Additional information
and documentation updates
Porting steps:

- Use new PrsMgr_PresentableObject transform API.

- If you need original object and AIS_ConnectedInteractive to move independently call RemoveChild() from original object after connect.

- Access instances of objects connected to AIS_MultiplyConnectedInteractive with Children() method.


Porting guide (API changes):

For PrsMgr_PresentableObject transformation API has been changed.
SetLocation (TopLoc_Locateion) -> SetLocalTransformation (gp_Trsf)
Location -> LocalTransformation
HasLocation -> HasTransformation
ResetLocation -> ResetTransformation

Every PrsMgr_PresentableObject may have its child objects which inherit transformation.

Combined transform (with parent object) of PrsMgr_PresentableObject may be accessed with Transformation() method.

Children objects of PrsMgr_PresentableObject may be accessed as NCollection_List of presentable objects with Children() method.
There are AddChild() and RemoveChild() methods to modify this list.

AIS_ConnectedInteractive and AIS_MultiplyConnectedInteractive are reused but behavior has been changed.

AIS_ConnectedInteractive now is an instance of object. It reuses geometry of connected object but have own transformation, material, visibility flag etc. This connection propagated down to OpenGl level to OpenGl_Structure.

AIS_ConnectedInteractive and AIS_MultiplyConnectedInteractive Connect() methods uses gp_Trsf object instead of TopLoc_Location.

Behavior of AIS_ConnectedInteractive.Connect() is almost the same as before patch despite the fact that newly created instance will become child of original object in scene hierarchy and will inherit transformation. It will still be connected after RemoveChild() call though.
AIS_ConnectedInteractive can be connected to any AIS_Interactive object in general. When it is connected to another AIS_ConnectedInteractive, it copies refernence to original object.

AIS_MultiplyConnectedInteractive represents assembly which doesn’t have its own presentation. Assemblies are able to participate is scene hierarchy and intended to handle a grouped set of instanced objects. It behaves as single object in terms of selection.
AIS_MultiplyConnectedInteractive stores instances (AIS_ConnectedInteractive) to its connected objects in Children() list. It applies high level transform to all subelements since it located above in the hierarchy.
AIS_MultiplyConnectedInteractive never moves, deletes or copies objects with its Connect() method. It only creates instances.
When AIS_MultiplyConnectedInteractive is connected to another one, new AIS_MultiplyConnectedInteractive will be created and all instances will be copied.
TagsNo tags attached.
Test case numberbugs vis(004) bug24837_1, bug24837_2
Attached Files

- Relationships
related to 0012121closedbugmaster Open CASCADE Optimization of existing selection classes 
related to 0024358closedapn Open CASCADE TKV3d - connected structures are not re-computed on device lost 
related to 0024756closedbugmaster Community AIS_ConnectedInteractive does not support nested AIS_ConnectedInteractive 
related to 0024307closedapn Open CASCADE TKOpenGl - efficient culling of large number of presentations 
parent of 0025335closedbugmaster Open CASCADE Visualization - method ::SelectedShape() in AIS_LocalContext and AIS_InteractiveContext overrides shape transformation 
parent of 0025370closedbugmaster Open CASCADE Visualization - misprint in PrsMgr_PresentationManager::Connect() 
parent of 0025373closedbugmaster Open CASCADE Visualization, AIS_MultipleConnectedInteractive - transformation persistence flags are ignored for connected objects 
related to 0025103closedbugmaster Open CASCADE Visualization - Regression in interactive detection 
related to 0023422closedbugmaster Community Selection problems when using SetLocation. 
related to 0025180closedkgv Open CASCADE Visualization - Homogeneous transformation API in TKV3d 
related to 0025198closedbugmaster Open CASCADE Draw Harness - add -noupdate option to vsetlocation command 
related to 0025204closedbugmaster Open CASCADE Visualization, PrsMgr_PresentationManager::Presentation() - do not return last presentation when requested one is not found 
related to 0025532closedbugmaster Open CASCADE Visualization - fix cross-references between AIS_ConnectedInteractive and connected presentation 
related to 0025560closedapn Community Documentation - describe changes in AIS_InteractiveConnect and AIS_MultipleConnected introduced within 6.8.0 
related to 0026940closedbugmaster Open CASCADE Visualization, TKOpenGl - capping plane should be applied to connected structures 

-  Notes
(0030538)
git (administrator)
2014-08-01 18:11

Branch CR24837 has been created by duv.

SHA-1: 0eb131a933370a0543bff29308fd89be1722c29f


This branch includes the following new commits:

       new 363482e Instance and hierarchy conceptions.
       new cac6a28 Assemblies. Selection.
       new 0eb131a Cleanup. Cdl. Fixes.


Detailed log of new commits:

commit 0eb131a933370a0543bff29308fd89be1722c29f
Author: duv
Date: Fri Aug 1 18:11:23 2014 +0400

    Cleanup. Cdl. Fixes.

commit cac6a286ecfeaea707df5fb45e76a6a6c1775ec3
Author: duv
Date: Wed Jul 30 18:21:55 2014 +0400

    Assemblies. Selection.

commit 363482e8f7b3aa7309ec080487ca266d457934c1
Author: duv
Date: Tue Jul 29 15:59:40 2014 +0400

    Instance and hierarchy conceptions.
(0030567)
git (administrator)
2014-08-05 11:20

Branch CR24837 has been updated by duv.

SHA-1: a1e6a53536b2f752924ea33eb86b2d3c6e72e722


      from 0eb131a Cleanup. Cdl. Fixes.
       new ab12aed Selection finished.
       new a1e6a53 HLR working.


Detailed log of new commits:

commit a1e6a53536b2f752924ea33eb86b2d3c6e72e722
Author: duv
Date: Tue Aug 5 11:20:03 2014 +0400

    HLR working.

commit ab12aeda58457592bd1cf05b983ee0a9aa934d7c
Author: duv
Date: Mon Aug 4 17:42:29 2014 +0400

    Selection finished.

(0030569)
git (administrator)
2014-08-05 12:12

Branch CR24837 has been updated by duv.

SHA-1: 7093826604408645c8f28d16d5c71c51a6542df8


      from a1e6a53 HLR working.
       new 7093826 Raytracing working.


Detailed log of new commits:

commit 7093826604408645c8f28d16d5c71c51a6542df8
Author: duv
Date: Tue Aug 5 12:10:47 2014 +0400

    Raytracing working.

(0030576)
git (administrator)
2014-08-05 14:49

Branch CR24837 has been updated forcibly by duv.

SHA-1: 38495fc244427f7e568a6d88e9f17280dfcc6df3
(0030577)
git (administrator)
2014-08-05 14:57

Branch CR24837 has been updated forcibly by duv.

SHA-1: 6d2cc6e0343af81b79465fa16809f47f0b7921a0
(0030578)
duv (developer)
2014-08-05 14:59

Dear kgv,

Please take a look on current implementation.
Note that command vconnectsh has been removed, use vconnect (to make assemblies) and vconnectto (to make instances) instead.
(0030640)
duv (developer)
2014-08-08 19:30

Dear kgv,

Please review the branch.
(0030662)
git (administrator)
2014-08-11 18:48

Branch CR24837 has been updated forcibly by duv.

SHA-1: 0b2bf230a40bc397fe216b1132db4c8c6107df24
(0030683)
kgv (developer)
2014-08-12 15:24

Dear Danila,

it seems that connected objects can not be automatically destructed due to cross-references between child and parent. Try adding:
AIS_InteractiveObject::~AIS_InteractiveObject()
{
  std::cerr << "[" << this << "] ~AIS_InteractiveObject()\n"; ///

}


test bugs vis bug24358 1
vclear

Result - objects are cleared from the viewer but remain in the memory.
(0030797)
git (administrator)
2014-08-15 17:41

Branch CR24837 has been updated forcibly by duv.

SHA-1: d6da6b48003544bd274f3da406311bb82b5918c7
(0030800)
duv (developer)
2014-08-15 18:45

Dear kgv,

Please review the branch.
(0030802)
git (administrator)
2014-08-16 12:51

Branch CR24837 has been updated by kgv.

SHA-1: 6a863b6450387c202a36cd0f4df58f611297f6fd


      from d6da6b4 Remarks considered
       new 6a863b6 Fix compilation errors


Detailed log of new commits:

commit 6a863b6450387c202a36cd0f4df58f611297f6fd
Author: kgv
Date: Sat Aug 16 12:50:39 2014 +0400

    Fix compilation errors

(0030803)
kgv (developer)
2014-08-16 12:53

Dear Danila,

the issue with destruction of connected object is still here.

Also there are compilation errors (fixes have been pushed to branch):
/dev/occt/src/SelectMgr/SelectMgr_EntityOwner.cxx|133|error: conditional expression is ambiguous; 
'const gp_Trsf' can be converted to 'TopLoc_Location' and vice versa|
/dev/occt/src/OpenGl/OpenGl_Workspace_Raytrace.cxx|346|error: cannot delete expression of type 'Standard_ShortReal 
[16]'|
(0030913)
git (administrator)
2014-08-20 10:39

Branch CR24837 has been updated by duv.

SHA-1: b696c7472f0bf4cfb664b5c423fc5e63780f62b5


      from 6a863b6 Fix compilation errors
       new b696c74 Cyclic object references fixed.


Detailed log of new commits:

commit b696c7472f0bf4cfb664b5c423fc5e63780f62b5
Author: duv
Date: Wed Aug 20 10:39:34 2014 +0400

    Cyclic object references fixed.

(0030914)
duv (developer)
2014-08-20 10:40

Dear kgv,

Please review the branch.
(0030937)
git (administrator)
2014-08-20 15:05

Branch CR24837 has been updated by duv.

SHA-1: 89b52df6651ad38c364d3e05b5e9d3d3de0db64d


      from b696c74 Cyclic object references fixed.
       new 89b52df Another portion of remarks considered.


Detailed log of new commits:

commit 89b52df6651ad38c364d3e05b5e9d3d3de0db64d
Author: duv
Date: Wed Aug 20 12:03:39 2014 +0400

    Another portion of remarks considered.

(0030967)
san (developer)
2014-08-21 09:58

Branch CR24837 reviewed without remarks, ready for testing.
(0030974)
git (administrator)
2014-08-21 10:19

Branch CR24837 has been updated forcibly by duv.

SHA-1: 41dd6c30f8c652ac00aa6bad5bd1cd161aeb939b
(0030976)
kgv (developer)
2014-08-21 10:41

Dear Danila,

please add porting notes in Mantis.
(0031047)
mkv (tester)
2014-08-22 17:38

Dear kgv,
could you please rebase branch CR24837 to current master, there is conflict file.
(0031050)
git (administrator)
2014-08-22 17:54

Branch CR24837 has been updated forcibly by duv.

SHA-1: 18f0725adbe84657c9c7c94466bcaad83d825322
(0031051)
duv (developer)
2014-08-22 17:56

Dear mkv,

Branch is rebased on master and ready for testing.
(0031070)
mkv (tester)
2014-08-25 19:25

Dear BugMaster,

Branch CR24837 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 18f0725adbe84657c9c7c94466bcaad83d825322

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24837-master-occt/Debian60-64/bugs/vis/bug24837_1.html [^]
http://occt-tests/CR24837-master-occt/Windows-32-VC10/bugs/vis/bug24837_1.html [^]
bugs vis(004) bug24837_1: OK

http://occt-tests/CR24837-master-occt/Debian60-64/bugs/vis/bug24837_2.html [^]
http://occt-tests/CR24837-master-occt/Windows-32-VC10/bugs/vis/bug24837_2.html [^]
bugs vis(004) bug24837_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 353145956 / 353284436
Total CPU difference: 46661.95000000015 / 44482.93000000008
products component :
Total MEMORY difference: 109362384 / 109556352
Total CPU difference: 18329.439999999973 / 18691.699999999983

Testing on Windows:
occt component :
Total MEMORY difference: 241055720 / 241078036
Total CPU difference: 36712.609375 / 40204.234375
products component :
Total MEMORY difference: 66594020 / 66446108
Total CPU difference: 12856.421875 / 15948.671875

There are no differences in images found by testdiff.
(0031071)
git (administrator)
2014-08-25 19:25

Branch CR24837 has been updated by mkv.

SHA-1: b9e5d15a3bb44840b9e5a1d194f98ea6893a98e7


Detailed log of new commits:

Author: mkv
Date: Mon Aug 25 19:23:30 2014 +0400

    Correction test cases for CR24837

(0031088)
git (administrator)
2014-08-26 13:51

Branch CR24837 has been updated by mkv.

SHA-1: dae995d83af96b426eb0c256abbca61cb4668895


Detailed log of new commits:

Author: mkv
Date: Tue Aug 26 13:51:12 2014 +0400

    Test cases for issue CR23422

(0031089)
git (administrator)
2014-08-26 13:52

Branch CR24837 has been updated by mkv.

SHA-1: 2ca89b9b72a8dc852c942e705b569a294a8a9b0b


Detailed log of new commits:

Author: mkv
Date: Tue Aug 26 13:51:56 2014 +0400

    Test cases for issue CR24756

(0031090)
git (administrator)
2014-08-26 13:52

Branch CR24837 has been updated by mkv.

SHA-1: c633573b0fc9283b6b14c6f545b3073f69b29165


Detailed log of new commits:

Author: mkv
Date: Tue Aug 26 13:52:41 2014 +0400

    Test cases for issue CR25103

(0031134)
mkv (tester)
2014-08-28 11:06

Dear duv,
It was detected that MFC sample is not compiled

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24837/job/mnt-CR24837-master_build_occt_mfc_samples_windows/1/parsed_console/ [^]
8>..\..\..\src\ModelClippingDlg.cpp(89): error C2039: 'SetLocation' : is not a member of 'AIS_Shape'
8> d:\builds\vc10\CR24837-master-occt\inc\AIS_Shape.hxx(107) : see declaration of 'AIS_Shape'
8>..\..\..\src\ModelClippingDlg.cpp(177): error C2039: 'SetLocation' : is not a member of 'AIS_Shape'
8> d:\builds\vc10\CR24837-master-occt\inc\AIS_Shape.hxx(107) : see declaration of 'AIS_Shape'


http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24837/job/mnt-CR24837-master_build_products_mfc_samples_windows/1/parsed_console/ [^]
1> SampleCollisionDetectionDoc.cpp
1>src\SampleCollisionDetectionDoc.cpp(225): error C2039: 'SetTransformation' : is not a member of 'AIS_Shape'
1> d:\builds\vc10\CR24837-master-occt\inc\AIS_Shape.hxx(107) : see declaration of 'AIS_Shape'
1>src\SampleCollisionDetectionDoc.cpp(272): error C2039: 'SetTransformation' : is not a member of 'AIS_Shape'
1> d:\builds\vc10\CR24837-master-occt\inc\AIS_Shape.hxx(107) : see declaration of 'AIS_Shape'
1>src\SampleCollisionDetectionDoc.cpp(613): error C2039: 'SetTransformation' : is not a member of 'AIS_InteractiveObject'
1> d:\builds\vc10\CR24837-master-occt\inc\AIS_InteractiveObject.hxx(113) : see declaration of 'AIS_InteractiveObject'
1>src\SampleCollisionDetectionDoc.cpp(1172): error C2039: 'SetTransformation' : is not a member of 'AIS_Shape'
1> d:\builds\vc10\CR24837-master-occt\inc\AIS_Shape.hxx(107) : see declaration of 'AIS_Shape'
1>src\SampleCollisionDetectionDoc.cpp(1295): error C2039: 'SetTransformation' : is not a member of 'AIS_Shape'
1> d:\builds\vc10\CR24837-master-occt\inc\AIS_Shape.hxx(107) : see declaration of 'AIS_Shape'

1> OCAFSample_AISDriver.cxx
1>src\OCAFSample_AISDriver.cxx(88): error C2039: 'ResetLocation' : is not a member of 'AIS_Shape'
1> d:\builds\vc10\CR24837-master-occt\inc\AIS_Shape.hxx(107) : see declaration of 'AIS_Shape'

1> Kernel_MeshPrsDriver.cxx
1>Kernel\Kernel_MeshPrsDriver.cxx(56): error C2039: 'ResetLocation' : is not a member of 'Kernel_MeshPrs'
1> d:\builds\vc10\CR24837-master-products\samples\mfc\shapehealer\inc\Kernel_MeshPrs.hxx(30) : see declaration of 'Kernel_MeshPrs'

Please correct imediatly
(0031157)
git (administrator)
2014-08-28 15:05

Branch CR24837 has been updated by duv.

SHA-1: 01f35d8f8dba6eed881e9e835c64a3467e26b7f3


Detailed log of new commits:

Author: duv
Date: Thu Aug 28 15:04:28 2014 +0400

    Viewer3d sample fixed.

(0031158)
duv (developer)
2014-08-28 15:09

Dear mkv,

Samples have been fixed.

Branch in products - CR24837.
(0031160)
mkv (tester)
2014-08-28 16:32

Dear BugMaster,
MFC samples are compiled without errors.
(0031251)
git (administrator)
2014-09-01 20:04

Branch CR24837_1 has been created by mkv.

SHA-1: 0bd2a43ff507ad7c249cb5c5c45df71dc04195fc


Detailed log of new commits:

Author: mkv
Date: Mon Sep 1 20:04:06 2014 +0400

    Correction of compilation warnings on Windows platform
(0031454)
git (administrator)
2014-09-08 15:50

Branch CR24837 has been deleted by inv.

SHA-1: 01f35d8f8dba6eed881e9e835c64a3467e26b7f3
(0031455)
git (administrator)
2014-09-08 15:50

Branch CR24837_1 has been deleted by inv.

SHA-1: 0bd2a43ff507ad7c249cb5c5c45df71dc04195fc

- Related Changesets
occt: master 0717ddc1
Timestamp: 2014-08-28 12:38:28
Author: duv
Committer: bugmaster
Details ] Diff ]
0024837: Visualization - revise design and implementation of connected Interactive Objects
0023422: Selection problems when using SetLocation.
0024756: AIS_ConnectedInteractive does not support nested AIS_ConnectedInteractive
0025103: Visualization - Regression in interactive detection

Each PrsMgr_PresentableObject has list of PrsMgr _PresentableObject called myChildren.
Transformation PrsMgr_PresentableObject applied to its children every time when its own transformation affected. This hierarchy does not propagate to Graphic3d level and below.

PrsMgr_PresentableObject send its combined (according to hierarchy) transform down to Graphic3d_Structure.

AIS_ConnectedInteractive and AIS_MultiplyConnectedInteractive are reused but behavior has been changed.

AIS_ConnectedInteractive now is an instance of object. It reuses geometry of connected object but have own transformation, material, visibility flag etc. This connection propagated down to OpenGl level to OpenGl_Structure. For this task old “connected” mechanism has been reused.

AIS_MultiplyConnectedInteractive represents assembly which doesn’t have its own presentation. Assemblies are able to participate is scene hierarchy and intended to handle a grouped set of instanced objects. It behaves as single object in terms of selection. It applies high level transform to all sub-elements since it located above in the hierarchy.

All AIS_MultiplyConnectedInteractive are able to have child assemblies. Deep copy of object instances performed when one assembly attached to another.

Correction test cases for CR24837

Test cases for issue CR23422

Test cases for issue CR24756

Test cases for issue CR25103

Viewer3d sample fixed.
mod - src/TPrsStd/TPrsStd_AxisDriver.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintDriver.cxx Diff ] File ]
rm - src/AIS/AIS_ConnectedShape.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_PointDriver.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_GeometryDriver.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.cdl Diff ] File ]
mod - src/AIS/AIS.cdl Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
add - tests/bugs/vis/bug23422 Diff ] File ]
rm - src/AIS/AIS_MultipleConnectedShape.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cdl Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cdl Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cdl Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cdl Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cdl Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_PlaneDriver.cxx Diff ] File ]
mod - src/PrsMgr/FILES Diff ] File ]
mod - src/TPrsStd/TPrsStd_NamedShapeDriver.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cdl Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cdl Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.lxx Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/ModelClippingDlg.cpp Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cdl Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_EntityOwner.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cdl Diff ] File ]
mod - src/PrsMgr/PrsMgr.cdl Diff ] File ]
add - tests/bugs/vis/bug24756 Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.lxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
mod - tests/v3d/raytrace/connected Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cdl Diff ] File ]
rm - src/AIS/AIS_MultipleConnectedShape.cdl Diff ] File ]
add - tests/bugs/vis/bug24837_1 Diff ] File ]
mod - tests/bugs/vis/bug24358 Diff ] File ]
add - tests/bugs/vis/bug24837_2 Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - tests/bugs/vis/bug12121 Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
add - tests/bugs/vis/bug25103 Diff ] File ]
rm - src/AIS/AIS_ConnectedShape.cdl Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-16 12:00 kgv New Issue
2014-04-16 12:00 kgv Assigned To => san
2014-04-16 12:00 kgv Assigned To san => apl
2014-04-16 12:00 kgv Assigned To apl => duv
2014-04-16 12:00 kgv Status new => assigned
2014-04-16 12:00 kgv Relationship added related to 0023432
2014-04-16 12:01 kgv Relationship added related to 0012121
2014-04-16 12:01 kgv Relationship added related to 0024358
2014-04-16 12:01 kgv Relationship added related to 0024756
2014-04-16 12:03 kgv Relationship added related to 0024307
2014-04-25 18:12 kgv Steps to Reproduce Updated View Revisions
2014-04-25 18:12 kgv Steps to Reproduce Updated View Revisions
2014-08-01 18:11 git Note Added: 0030538
2014-08-05 11:20 git Note Added: 0030567
2014-08-05 12:12 git Note Added: 0030569
2014-08-05 14:49 git Note Added: 0030576
2014-08-05 14:53 duv Steps to Reproduce Updated View Revisions
2014-08-05 14:54 duv Steps to Reproduce Updated View Revisions
2014-08-05 14:57 git Note Added: 0030577
2014-08-05 14:59 duv Note Added: 0030578
2014-08-05 14:59 duv Assigned To duv => kgv
2014-08-05 14:59 duv Status assigned => feedback
2014-08-08 19:30 duv Note Added: 0030640
2014-08-08 19:30 duv Status feedback => resolved
2014-08-11 18:48 git Note Added: 0030662
2014-08-12 15:24 kgv Note Added: 0030683
2014-08-12 15:24 kgv Assigned To kgv => duv
2014-08-12 15:24 kgv Status resolved => assigned
2014-08-15 17:29 san Relationship added related to 0025103
2014-08-15 17:41 git Note Added: 0030797
2014-08-15 18:45 duv Note Added: 0030800
2014-08-15 18:45 duv Status assigned => resolved
2014-08-16 12:51 git Note Added: 0030802
2014-08-16 12:53 kgv Note Added: 0030803
2014-08-16 12:53 kgv Status resolved => assigned
2014-08-18 15:01 duv Assigned To duv => kgv
2014-08-18 15:02 duv Assigned To kgv => duv
2014-08-20 10:39 git Note Added: 0030913
2014-08-20 10:40 duv Note Added: 0030914
2014-08-20 10:40 duv Status assigned => resolved
2014-08-20 10:41 duv Assigned To duv => kgv
2014-08-20 13:02 san Relationship added related to 0023422
2014-08-20 15:05 git Note Added: 0030937
2014-08-20 19:13 san Relationship added related to 0025180
2014-08-21 09:58 san Note Added: 0030967
2014-08-21 09:58 san Assigned To kgv => bugmaster
2014-08-21 09:58 san Status resolved => reviewed
2014-08-21 10:17 mkv Assigned To bugmaster => mkv
2014-08-21 10:19 git Note Added: 0030974
2014-08-21 10:41 kgv Note Added: 0030976
2014-08-22 17:38 mkv Note Added: 0031047
2014-08-22 17:39 mkv Assigned To mkv => kgv
2014-08-22 17:39 mkv Status reviewed => feedback
2014-08-22 17:54 git Note Added: 0031050
2014-08-22 17:56 duv Note Added: 0031051
2014-08-22 17:56 duv Assigned To kgv => mkv
2014-08-22 17:56 duv Status feedback => reviewed
2014-08-25 19:25 mkv Note Added: 0031070
2014-08-25 19:25 git Note Added: 0031071
2014-08-25 19:26 mkv Test case number => bugs vis(004) bug24837_1, bug24837_2
2014-08-25 19:26 mkv Assigned To mkv => bugmaster
2014-08-25 19:26 mkv Status reviewed => tested
2014-08-26 13:51 git Note Added: 0031088
2014-08-26 13:52 git Note Added: 0031089
2014-08-26 13:52 git Note Added: 0031090
2014-08-28 11:06 mkv Note Added: 0031134
2014-08-28 11:06 mkv Assigned To bugmaster => duv
2014-08-28 11:06 mkv Priority normal => immediate
2014-08-28 11:06 mkv Status tested => feedback
2014-08-28 15:05 git Note Added: 0031157
2014-08-28 15:09 duv Note Added: 0031158
2014-08-28 15:09 duv Assigned To duv => mkv
2014-08-28 15:09 duv Status feedback => reviewed
2014-08-28 16:32 mkv Note Added: 0031160
2014-08-28 16:32 mkv Assigned To mkv => bugmaster
2014-08-28 16:32 mkv Status reviewed => tested
2014-08-28 18:38 kgv Relationship added related to 0025198
2014-08-29 11:38 duv Additional Information Updated View Revisions
2014-08-29 15:32 bugmaster Changeset attached => occt master 0717ddc1
2014-08-29 15:32 bugmaster Status tested => verified
2014-08-29 15:32 bugmaster Resolution open => fixed
2014-09-01 14:19 kgv Relationship added related to 0025204
2014-09-01 20:04 git Note Added: 0031251
2014-09-05 11:08 bugmaster Relationship added parent of 0025212
2014-09-08 15:50 git Note Added: 0031454
2014-09-08 15:50 git Note Added: 0031455
2014-10-08 08:59 kgv Relationship added related to 0025335
2014-10-08 08:59 kgv Relationship replaced parent of 0025335
2014-10-13 18:34 kgv Relationship added parent of 0025366
2014-10-14 19:07 kgv Relationship added parent of 0025370
2014-10-14 19:17 kgv Relationship added parent of 0025371
2014-10-14 20:07 kgv Relationship added parent of 0025373
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed
2014-11-28 12:26 kgv Relationship added related to 0025532
2014-12-06 17:35 kgv Relationship added related to 0025560
2015-11-30 19:01 kgv Relationship added related to 0026940


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker